Apache log4cxx: FilterBasedTriggeringPolicy Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FilterBasedTriggeringPolicy Class Reference

Inherits TriggeringPolicy.

List of all members.

## Detailed Description

FilterBasedTriggeringPolicy determines if rolling should be triggered by evaluating the current message against a set of filters.

Unless a filter rejects a message, a rolling event will be triggered.

## Public Member Functions
| FilterBasedTriggeringPolicy ()
| Creates a new FilterBasedTriggeringPolicy.
virtual | ~FilterBasedTriggeringPolicy ()
virtual bool | isTriggeringEvent (Appender *appender, const log4cxx::spi::LoggingEventPtr &event, const LogString &filename, size_t fileLength)
| Determines if a rollover may be appropriate at this time.
void | addFilter (const log4cxx::spi::FilterPtr &newFilter)
| Add a filter to end of the filter list.
void | clearFilters ()
| Clear the filters chain.
log4cxx::spi::FilterPtr & | getFilter ()
| Returns the head Filter.
void | activateOptions (log4cxx::helpers::Pool &)
| Prepares the instance for use.
void | setOption (const LogString &option, const LogString &value)
| Set `option` to `value`.

## Constructor & Destructor Documentation

FilterBasedTriggeringPolicy | ( |  | ) |

| Creates a new FilterBasedTriggeringPolicy.

virtual ~FilterBasedTriggeringPolicy | ( |  | ) | `[virtual]`

## Member Function Documentation

void activateOptions | ( | log4cxx::helpers::Pool & |  | ) | `[virtual]`

| Prepares the instance for use. Implements OptionHandler.

void addFilter | ( | const log4cxx::spi::FilterPtr & | newFilter | ) |

  | Add a filter to end of the filter list. Parameters:
  | newFilter | filter to add to end of list.

void clearFilters | ( |  | ) |

| Clear the filters chain.

log4cxx::spi::FilterPtr& getFilter | ( |  | ) |

| Returns the head Filter.

virtual bool isTriggeringEvent | ( | Appender * | appender,
|  | const log4cxx::spi::LoggingEventPtr & | event,
|  | const LogString & | filename,
|  | size_t | fileLength
| ) | `[virtual]`

  | Determines if a rollover may be appropriate at this time. If true is returned, RolloverPolicy.rollover will be called but it can determine that a rollover is not warranted. Parameters:
  | appender | A reference to the appender.
  | event | A reference to the currently event.
  | filename | The filename for the currently active log file.
  | fileLength | Length of the file in bytes.
Returns: true if a rollover should occur. Implements TriggeringPolicy.

void setOption | ( | const LogString & | option,
|  | const LogString & | value
| ) | `[virtual]`

| Set `option` to `value`. The handling of each option depends on the OptionHandler instance. Some options may become active immediately whereas other may be activated only when activateOptions is called. Implements OptionHandler.

The documentation for this class was generated from the following file:

- filterbasedtriggeringpolicy.h